/*
   @file      CheckParameters.F77
   @date      
   @author    Gabrielle Allen
   @desc 
              Check parameters for the wave equation initial data
   @enddesc 
 @@*/

#include "cctk.h" 
#include "cctk_Parameters.h"
#include "cctk_Arguments.h"

static char *rcsid = "$Header: /cactus/CactusWave/IDScalarWaveCXX/src/CheckParameters.cc,v 1.7 2000/04/18 19:58:48 goodale Exp $";

CCTK_FILEVERSION(CactusWave_IDScalarWaveCXX_CheckParameters_cc)

 /*@@
   @routine    IDScalarWave_CheckParameters
   @date       
   @author     Gabrielle Allen
   @desc 
               Check parameters for the wave equation initial data
   @enddesc 
   @calls      
   @calledby   
   @history 
   @hdate Mon Oct 11 11:49:21 1999 @hauthor Tom Goodale
   @hdesc Converted to C++ 
   @endhistory 

@@*/

extern "C" void IDScalarWaveCXX_CheckParameters(CCTK_ARGUMENTS)
{
  DECLARE_CCTK_ARGUMENTS
  DECLARE_CCTK_PARAMETERS

  if(CCTK_Equals(initial_data,"box"))
  {
    if (!CCTK_Equals(type, "box"))
    {
      CCTK_PARAMWARN("Must have a box grid with box initial data");
    }

    if (kx == 0 || ky == 0 || kz == 0)
    {
      CCTK_PARAMWARN("Cannot have zero kx,ky,kz for box initial data");
    }
  }
  return;

  
  

}

