#include "cctk.h"
#include "cctk_Parameters.h"
#include "cctk_Arguments.h"

/* 
   -> routine    Schroedinger_Potential
   -> date       April 2005
   -> author     Francisco S Guzman
   -> desc       Calculates the potential for
                 the Hamiltonian in the
                 Schroedinger equation.
*/

 	subroutine Schroedinger_Potential(CCTK_ARGUMENTS)

 	implicit none

	DECLARE_CCTK_ARGUMENTS
	DECLARE_CCTK_PARAMETERS

        INTEGER    i, j, k, nx, ny, nz
	INTEGER    cctk_equals
	CCTK_REAL  zero, one, two, half

!  Useful numbers

      	nx = cctk_lsh(1)
      	ny = cctk_lsh(2)
      	nz = cctk_lsh(3)

	zero = 0.0D0
	one  = 1.0D0
	two  = 2.0D0
        half = 0.5D0

        if (CCTK_EQUALS(Vtype,"Vzero")) then

          rV = zero
          iV = zero

        end if

 	end subroutine Schroedinger_Potential

