 /*@@
   @file      InitSymBound.c
   @date      Fri Nov  9 13:29:53 2001
   @author    Ian Hawke
   @desc 
   Sets the symmetries for Wave Toy - again copies the standard.
   @enddesc 
 @@*/

#include "cctk.h"
#include "cctk_Arguments.h"

#include "Symmetry.h"

void WaveToyMoL_InitSymBound(CCTK_ARGUMENTS);
 /*@@
   @routine    WaveToyMoL_InitSymBound
   @date       Fri Nov  9 13:31:28 2001
   @author     Ian Hawke
   @desc 
   Another straight copy of a wave toy routine, however extended 
   for all the new GFs.
   @enddesc 
   @calls     
   @calledby   
   @history 
 
   @endhistory 

@@*/

void WaveToyMoL_InitSymBound(CCTK_ARGUMENTS)
{
  DECLARE_CCTK_ARGUMENTS;
      
  int sym[3];

  sym[0] = 1;
  sym[1] = 1;
  sym[2] = 1;

  SetCartSymVN(cctkGH, sym,"wavetoyMoL::phi");
  SetCartSymVN(cctkGH, sym,"wavetoyMoL::phit");

  sym[0] = -1;
  sym[1] = 1;
  sym[2] = 1;
  SetCartSymVN(cctkGH, sym,"wavetoyMoL::phix");

  sym[0] = 1;
  sym[1] = -1;
  sym[2] = 1;
  SetCartSymVN(cctkGH, sym,"wavetoyMoL::phiy");

  sym[0] = 1;
  sym[1] = 1;
  sym[2] = -1;
  SetCartSymVN(cctkGH, sym,"wavetoyMoL::phiz");

  return;
}
