 /*@@
   @file      WaveMoLRegister.c
   @date      Fri Nov  9 13:47:07 2001
   @author    Ian Hawke
   @desc 
   Routine to register the variables with the MoL thorn.
   @enddesc 
 @@*/

#include "cctk.h"
#include "cctk_Arguments.h"
#include "cctk_Parameters.h"

/*
#ifndef DEBUG_MOL
#define DEBUG_MOL
#endif
*/

int WaveToyMoL2_RegisterVars(CCTK_ARGUMENTS);

 /*@@
   @routine    WaveToyMoL_RegisterVars
   @date       Fri Nov  9 13:47:41 2001
   @author     Ian Hawke
   @desc 
   The registration routine.
   @enddesc 
   @calls     
   @calledby   
   @history 
 
   @endhistory 

@@*/

int WaveToyMoL2_RegisterVars(CCTK_ARGUMENTS)
{

  DECLARE_CCTK_ARGUMENTS
  DECLARE_CCTK_PARAMETERS

  CCTK_INT ierr = 0, group, rhs;

  group = CCTK_GroupIndex("wavetoymol::scalarevolvemol2");
  rhs = CCTK_GroupIndex("wavetoymol::scalarrhsmol2");

  if (CCTK_IsFunctionAliased("MoLRegisterEvolvedGroup"))
  {
    ierr += MoLRegisterEvolvedGroup(group, rhs);
  }
  else
  {
    CCTK_WARN(0, "MoL function not aliased");
    ierr++;
  }
  
  if (ierr) CCTK_WARN(0,"Problems registering with MoL");

#ifdef DEBUG_MOL
  printf("If we've got this far, then we've done with wavetoy registration.\n");
#endif  

  return ierr;
}

int WaveToyMoL2_RegisterDepends(CCTK_ARGUMENTS)
{

  DECLARE_CCTK_ARGUMENTS
  DECLARE_CCTK_PARAMETERS

  CCTK_INT ierr;    

  CCTK_INFO("Testing the dependent variables of MoL");
  ierr = MoLRegisterConstrained(CCTK_VarIndex("wavetoymol::junk"));

  return 0;
}

