
 /*@@
   @file      RegisterVars.c
   @date      Tue Jan  8 16:45:46 2002
   @author    
   @desc 
   Routine to register the variables with the MoL thorn.
   @enddesc 
 @@*/

#include "cctk.h"
#include "cctk_Arguments.h"
#include "cctk_Parameters.h"

int RealSF_MoLRegister(CCTK_ARGUMENTS); 

 /*@@
   @routine    RegisterVars
   @date       Tue Jan  8 16:46:37 2002
   @author     Ian Hawke
   @desc 
   The registration routine.
   @enddesc 
   @calls     
   @calledby   
   @history 
   A direct translation of every other MoL Register routine.
   @endhistory 

@@*/

int RealSF_MoLRegister(CCTK_ARGUMENTS)
{
  
  DECLARE_CCTK_ARGUMENTS
  DECLARE_CCTK_PARAMETERS


    CCTK_INT ierr;
    
    ierr = MoLRegisterEvolved(CCTK_VarIndex("realphi::rphi"),
                    CCTK_VarIndex("realphi::srphi"));
    ierr = MoLRegisterEvolved(CCTK_VarIndex("realphi::rpsix"),
                    CCTK_VarIndex("realphi::srpsix"));
    ierr = MoLRegisterEvolved(CCTK_VarIndex("realphi::rpsiy"),
                    CCTK_VarIndex("realphi::srpsiy"));
    ierr = MoLRegisterEvolved(CCTK_VarIndex("realphi::rpsiz"),
                    CCTK_VarIndex("realphi::srpsiz"));
    ierr = MoLRegisterEvolved(CCTK_VarIndex("realphi::rpi"),
                    CCTK_VarIndex("realphi::srpi"));
    
  return 0;

}
