#include "cctk.h"
#include "cctk_Parameters.h"
#include "cctk_Arguments.h"

/*
   -> routine    RealSF_Sources
   -> date       January 2003
   -> author     Francisco S. Guzman
   -> comments   Sources for the evolution of the scalar fields
*/


      subroutine RealSF_KG_Sources(CCTK_ARGUMENTS)

      implicit none

      DECLARE_CCTK_ARGUMENTS
      DECLARE_CCTK_PARAMETERS

      INTEGER  i, j, k, nx, ny, nz

      CCTK_REAL  dx, dy, dz, dt
      CCTK_REAL  idx,idy,idz
      CCTK_REAL  zero, one, two, half, third

!  Useful numbers

      nx = cctk_lsh(1)
      ny = cctk_lsh(2)
      nz = cctk_lsh(3)

      zero  = 0.0D0
      one   = 1.0D0
      two   = 2.0D0
      half  = 0.5D0

      dx = CCTK_DELTA_SPACE(1)
      dy = CCTK_DELTA_SPACE(2)
      dz = CCTK_DELTA_SPACE(3)
      dt = CCTK_DELTA_TIME

      idx = one/dx
      idy = one/dy
      idz = one/dz

      do k = 2, nz - 1
         do j = 2, ny - 1  
            do i = 2, nx - 1

		srphi(i,j,k)  = rpi(i,j,k)

                srpsix(i,j,k) = (rpi(i+1,j,k) - rpi(i-1,j,k))*half*idx

		srpsiy(i,j,k) = (rpi(i,j+1,k) - rpi(i,j-1,k))*half*idy

		srpsiz(i,j,k) = (rpi(i,j,k+1) - rpi(i,j,k-1))*half*idz

	        srpi(i,j,k)   = (rpsix(i+1,j,k) - rpsix(i-1,j,k))*half*idx
     .                        + (rpsiy(i,j+1,k) - rpsiy(i,j-1,k))*half*idy
     .                        + (rpsiz(i,j,k+1) - rpsiz(i,j,k-1))*half*idz

            end do  
         end do
      end do

      end subroutine RealSF_KG_Sources


