#include "cctk.h"
#include "cctk_Parameters.h"
#include "cctk_Arguments.h"
#include "cctk_Functions.h"

/*    
   -> routine    Schroedinger_InitialData
   -> date       April 2005 
   -> author     Francisco S. Guzman
*/


      subroutine Schroedinger_InitialData(CCTK_ARGUMENTS)

      implicit none

      DECLARE_CCTK_ARGUMENTS
      DECLARE_CCTK_PARAMETERS
      DECLARE_CCTK_FUNCTIONS

      integer :: i, j, k, nx, ny, nz

      CCTK_REAL  dx, dy, dz, dt, dtw
      CCTK_REAL  idx, idy, idz
      CCTK_REAL  zero, one, two, half, third, pi
      CCTK_REAL  x0

!  Useful numbers

      zero  = 0.0D0
      one   = 1.0D0
      two   = 2.0D0
      half  = 0.5D0
      third = 1.0D0/3.0D0
      pi    = 4.*atan(one)

      dt = cctk_delta_time
      dx = cctk_delta_space(1)
      dy = cctk_delta_space(2)
      dz = cctk_delta_space(3)

      nx = cctk_lsh(1)
      ny = cctk_lsh(2)
      nz = cctk_lsh(3)

      if (CCTK_EQUALS(initial_data,"box")) then

        psi1 = sin(nodes_x*pi*x)*sin(nodes_y*pi*y)*sin(nodes_z*pi*z)
        psi2 = zero

      end if

      call BoseCondensate_Potential(CCTK_ARGUMENTS)
      call BoseCondensate_Diagnostics(CCTK_ARGUMENTS)

      end subroutine Schroedinger_InitialData

! ---> END <---
